Browser
	parent_type = /Control/
	ctype="browser"
	background_color = "#FFFFFF"
	var
		show_history="false"
		show_url="false"
		use_title="false"
		auto_format="true"
		on_show=""
		on_hide=""
	GetParams()
		var/list/params = GetDefaultParams()
		params["show-history"]=show_history
		params["show-url"]=show_url
		params["use-title"]=use_title
		params["auto-format"]=auto_format
		params["on-show"]=on_show
		params["on-hide"]=on_hide
		return params
	proc
		setShowHistory(var/newShowHistory="false")
			var/ipt = newShowHistory
			if(!(ipt in list("true", "false")))
				world << "DIL: Minor Error"
				world << "[copytext("[src.type]",2)].setShowHistory(newShowHistory)"
				world << "newShowHistory must be \"true\" or \"false\""
				return
			show_history = ipt
			if(AutoUpdate) winset(user, GPCN(), "show-history=[ipt]")
		setShowURL(var/newShowURL="true")
			var/ipt = newShowURL
			if(!(ipt in list("true", "false")))
				world << "DIL: Minor Error"
				world << "[copytext("[src.type]",2)].setShowURL(newShowURL)"
				world << "newShowURL must be \"true\" or \"false\""
				return
			show_url = ipt
			if(AutoUpdate) winset(user, GPCN(), "show-url=[ipt]")
		setUseTitle(var/newUseTitle="false")
			var/ipt = newUseTitle
			if(!(ipt in list("true", "false")))
				world << "DIL: Minor Error"
				world << "[copytext("[src.type]",2)].setUseTitle(newUseTitle)"
				world << "newUseTitle must be \"true\" or \"false\""
				return
			use_title = ipt
			if(AutoUpdate) winset(user, GPCN(), "use-title=[ipt]")
		setAutoFormat(var/newAutoFormat="false")
			var/ipt = newAutoFormat
			if(!(ipt in list("true", "false")))
				world << "DIL: Minor Error"
				world << "[copytext("[src.type]",2)].setAutoFormat(newAutoFormat)"
				world << "newAutoFormat must be \"true\" or \"false\""
				return
			auto_format = ipt
			if(AutoUpdate) winset(user, GPCN(), "auto-format=[ipt]")
		setOnShow(var/newOnShow="")
			on_show = newOnShow
			if(AutoUpdate) winset(user, GPCN(), "on-show=\"[on_show]\"")
		setOnHide(var/newOnHide="")
			on_hide = newOnHide
			if(AutoUpdate) winset(user, GPCN(), "on-hide=\"[on_hide]\"")