Input
	parent_type = /Control/
	ctype="input"
	background_color = "#FFFFFF"
	var
		multi_line="false"
		is_password="false"
		no_command="false"
		text=""
		command=""
	GetParams()
		var/list/params = GetDefaultParams()
		params["multi-line"] = multi_line
		params["is-password"] = is_password
		params["no-command"] = no_command
		params["text"] = text
		params["command"] = command
		return params
	proc
		setMultiLine(var/newMultiLine="true")
			var/ipt = lowertext(newMultiLine)
			if(!(ipt in list("true", "false")))
				world << "DIL: Minor Error"
				world << "[copytext("[src.type]",2)].setMultiLine(newMultiLine)"
				world << "newMultiLine must be \"true\" or \"false\""
				return
			multi_line = ipt
			if(AutoUpdate) winset(user, GPCN(), "multi-line=[ipt]")
		setIsPassword(var/newIsPassword="true")
			var/ipt = lowertext(newIsPassword)
			if(!(ipt in list("true", "false")))
				world << "DIL: Minor Error"
				world << "[copytext("[src.type]",2)].setIsPassword(newIsPassword)"
				world << "newIsPassword must be \"true\" or \"false\""
				return
			is_password = ipt
			if(AutoUpdate) winset(user, GPCN(), "is-password=[ipt]")
		setNoCommand(var/newNoCommand="true")
			var/ipt = lowertext(newNoCommand)
			if(!(ipt in list("true", "false")))
				world << "DIL: Minor Error"
				world << "[copytext("[src.type]",2)].setNoCommand(newNoCommand)"
				world << "newNoCommand must be \"true\" or \"false\""
				return
			no_command = ipt
			if(AutoUpdate) winset(user, GPCN(), "no-command=[ipt]")
		setText(var/newText)
			text = newText
			if(AutoUpdate) winset(user, GPCN(), "text=\"[newText]\"")
		setCommand(var/newCmd)
			command = newCmd
			if(AutoUpdate) winset(user, GPCN(), "command=\"[newCmd]\"")
