Map
	parent_type = /Control/
	ctype="map"
	background_color = "#000000"
	var
		view_size="0"
		style=""
		text_mode="false"
		icon_size="0"
		on_show=""
		on_hide=""
	GetParams()
		var/list/params = GetDefaultParams()
		params["view-size"]=view_size
		params["style"]=style
		params["text-mode"]=text_mode
		params["icon-size"]=icon_size
		params["on-show"]=on_show
		params["on-hide"]=on_hide
		return params
	proc
		//View size says read-only, so this value might not work.
		setViewSize(var/newViewSize=0)
			view_size = newViewSize
			if(AutoUpdate) winset(user, GPCN(), "view-size=[view_size]")
		setStyle(var/newStyle="")
			style = newStyle
			if(AutoUpdate) winset(user, GPCN(), "style=\"[style]\"")
		setTextMode(var/newTextMode="false")
			var/ipt = newTextMode
			if(!(ipt in list("true", "false")))
				world << "DIL: Minor Error"
				world << "[copytext("[src.type]",2)].setTextMode(newTextMode)"
				world << "newTextMode must be \"true\" or \"false\""
				return
			text_mode = ipt
			if(AutoUpdate) winset(user, GPCN(), "auto-format=[ipt]")
		setIconSize(var/NewIconSize=0)
			if(!isnum(NewIconSize))
				world << "DIL: Minor Error"
				world << "[copytext("[src.type]",2)].setIconSize(NewIconSize)"
				world << "NewIconSize must be an integer."
			icon_size = NewIconSize
			if(AutoUpdate) winset(user, GPCN(), "icon-size=[NewIconSize]")
		setOnShow(var/newOnShow="")
			on_show = newOnShow
			if(AutoUpdate) winset(user, GPCN(), "on-show=\"[on_show]\"")
		setOnHide(var/newOnHide="")
			on_hide = newOnHide
			if(AutoUpdate) winset(user, GPCN(), "on-hide=\"[on_hide]\"")