#define DEBUG
mob/verb/DefaultWindowTest()
	var/Window/w = new(client, "defwindow", "window")
	w.setBounds(50,50,500,250)
	w.user = src.client
	w.Update()

	var/Output/o = new(client, "newoutput", "defwindow")
	o.parentobj = w
	o.setBounds(350,0,150,234)
	o.is_visible="true"
	o.anchor1 = "[round((350/500)*100)],0"
	o.anchor2 = "100,100"
	w.Controls.Add(o)

	var/Input/i = new(client, "newinput", "defwindow")
	i.setBounds(0,234,500,16)
	i.is_visible = "true"
	i.border = "sunken"
	i.anchor1 = "0,100"
	i.anchor2 = "100,100"
	i.parentobj = w
	w.Controls.Add(i)

	var/Map/m = new(client, "newmap", "defwindow")
	m.setBounds(0,0,350,234)
	m.parentobj = w
	m.is_visible="true"
	m.border="sunken"
	m.anchor1 = "0,0"
	m.anchor2 = "[round((350/500)*100)],100"
	m.is_default="true"
	w.Controls.Add(m)

	w.Controls.Add(i)
	w.Update()

	world.maxx=10
	world.maxy=10
	world.maxz=1

	loc=locate(1,1,1)

mob/verb/ProgressWindowTest()
	var/client/user = src.client
	client.UpdateResolution()

	var/Window/w = new(user, "progressbarwindow")
	w.user.UpdateResolution()
	w.w="316"; w.h="60"
	w.x="[round((w.user.scrwidth/2)-158,1)]"
	w.y="[round((w.user.scrheight/2)-30,1)]"
	w.Update()

	sleep(1)

	var/Bar/b = new(user, "progressbar", "progressbarwindow")
	b.setBounds(10,40,296,10)
	b.value = "0"
	b.bar_color = "#0000FF"
	b.border = "sunken"
	w.Controls.Add(b)

	var/Label/l = new(user, "orogresslabel", "progressbarwindow")
	l.setBounds(10,10,296,20)
	l.text = "Progress: 0% Complete"
	w.Controls.Add(l)

	w.Update()

	for(var/i = 0, i <= 100, i++)
		sleep(0.1)
		b.value = i
		l.text = "Progress: [i]% Complete"
		w.title = "Progress: [i]% Complete"
		w.Update()

	for(var/i = 50, i > 0, i--)
		sleep(1)
		l.text = "Progress: 100% Complete. Closing in [i/10] seconds"
		w.Update()

	w.Remove()

mob/verb/TestResolutionUpdate()
	client.UpdateResolution(1)
	src<<"W:[client.scrwidth], H:[client.scrheight]"

mob/var/list/WorkingProcs = list("setPos(x,y)", "none")

mob/verb/Test_isRGB(var/txt as text)
	src << isRGB(txt)


mob/verb/Show_Random_Window()
	var/Window/w = new(src.client, "RandWindow", "window")
	w.setBounds(100,100,500,250)
	w.setVisible("true")
	w.Update()

mob/verb/Failsafe_Tests()
	var/Window/w = new(null, "RandWindow")
	w.user=client
	w.name="RandWindow"
	w.setBounds(100,100,500,250)
	w.setVisible("true")
	w.Update()

