Child
	parent_type = /Control/
	ctype="child"
	var
		lock="none"
		is_vert="false"
		splitter="50"
		show_splitter="true"
		right="none"
		left="none"
	GetParams()
		var/list/params = GetDefaultParams()
		params["lock"]=lock
		params["is-vert"]=is_vert
		params["splitter"]=splitter
		params["show-splitter"]=show_splitter
		params["right"]=right
		params["left"]=left
		return params
	proc
		setLock(var/NewLock)
			if(!(lock in list("left", "right", "none")))
				world << "DIL: Minor Error"
				world << "[copytext("[src.type]",2)].setLock(NewLock)"
				world << "NewLock must be one of the following:"
				world << "\"left\", \"right\", \"none\"."
				return
			lock = NewLock
			if(AutoUpdate) winset(user, GPCN(), "lock=[lock]")
		setIsVert(var/boolVert="true")
			var/ipt = boolVert
			if(!(ipt in list("true", "false")))
				world << "DIL: Minor Error"
				world << "[copytext("[src.type]",2)].setIsVert(boolVert)"
				world << "boolVert must be \"true\" or \"false\""
				return
			is_vert = ipt
			if(AutoUpdate) winset(user, GPCN(), "is-vert=[ipt]")
		setSplitter(var/intSplitter=50)
			if(!isnum(intSplitter))
				world << "DIL: Minor Error"
				world << "[copytext("[src.type]",2)].setMaxLines(intSplitter)"
				world << "intSplitter must be an integer."
			splitter = intSplitter
			if(AutoUpdate) winset(user, GPCN(), "splitter=[splitter]")
		setShowSplitter(var/boolSplitter="true")
			var/ipt = boolSplitter
			if(!(ipt in list("true", "false")))
				world << "DIL: Minor Error"
				world << "[copytext("[src.type]",2)].setShowSplitter(boolSplitter)"
				world << "boolSplitter must be \"true\" or \"false\""
				return
			show_splitter = ipt
			if(AutoUpdate) winset(user, GPCN(), "show-splitter=[ipt]")
		setLeft(var/newLeft="")
			left = newLeft
			if(AutoUpdate) winset(user, GPCN(), "left=[left]")
		setRight(var/newRight="")
			right = newRight
			if(AutoUpdate) winset(user, GPCN(), "right=[right]")