Output
	parent_type = /Control/
	ctype="output"
	background_color = "#FFFFFF"
	var
		style
		max_lines
		link_color
		visited_color
		image
		enable_http_images
	GetParams()
		var/list/params = GetDefaultParams()
		params["style"]=style
		params["max-lines"]=max_lines
		params["link-color"]=link_color
		params["visited-color"]=visited_color
		params["image"]=image
		params["enable-http-images"]=enable_http_images
		return params
	proc
		setStyle(var/newStyle="")
			style = newStyle
			if(AutoUpdate) winset(user, GPCN(), "style=\"[style]\"")
		setMaxLines(var/newMaxLines=1000)
			if(!isnum(newMaxLines))
				world << "DIL: Minor Error"
				world << "[copytext("[src.type]",2)].setMaxLines(newMaxLines)"
				world << "newMaxLines must be an integer."
			max_lines = newMaxLines
			if(AutoUpdate) winset(user, GPCN(), "max-lines=[max_lines]")
		setLinkColor(var/NewColor)
			if(!isRGB(NewColor))
				world << "DIL: Minor Error"
				world << "[copytext("[src.type]",2)].setLinkColor(NewColor)"
				world << "NewColor must be an #RGB or #RRGGBB value."
				return
			link_color = NewColor
			if(AutoUpdate) winset(user, GPCN(), "link-color=[link_color]")
		setVisitedColor(var/NewColor)
			if(!isRGB(NewColor))
				world << "DIL: Minor Error"
				world << "[copytext("[src.type]",2)].setVisitedColor(NewColor)"
				world << "NewColor must be an #RGB or #RRGGBB value."
				return
			visited_color = NewColor
			if(AutoUpdate) winset(user, GPCN(), "visited-color=[link_color]")
		setImage(var/newImage)
			if(!isicon(newImage))
				world << "DIL: Minor Error"
				world << "[copytext("[src.type]",2)].setImage(newImage)"
				world << "newImage must be an icon / image."
				return
			image = newImage
			if(AutoUpdate) winset(user, GPCN(), "icon=[image]")
		setEnableHttpImages(var/newEHI)
			var/ipt = newEHI
			if(!(ipt in list("true", "false")))
				world << "DIL: Minor Error"
				world << "[copytext("[src.type]",2)].setEnableHttpImages(newEHI)"
				world << "newEHI must be \"true\" or \"false\""
				return
			enable_http_images = ipt
			if(AutoUpdate) winset(user, GPCN(), "enable-http-images=[ipt]")