Tab
	parent_type = /Control/
	ctype="tab"
	var
		multi_line="true"
		current_tab=""
		on_tab=""
		tabs=list()
	GetParams()
		var/list/params = GetDefaultParams()
		params["multi-line"]=multi_line
		params["current-tab"]=current_tab
		params["on-tab"]=on_tab
		var/tabslist = ""
		for(var/i in tabs)
			tabslist+=i+","
		tabslist = copytext(tabslist, 1, lentext(tabslist)-1) // delete the final ","
		params["tabs"]="\"" + list2params(tabs) + "\""
		return params
	proc
		setMultiLine(var/newMultiLine="true")
			var/ipt = lowertext(newMultiLine)
			if(!(ipt in list("true", "false")))
				world << "DIL: Minor Error"
				world << "[copytext("[src.type]",2)].setMultiLine(newMultiLine)"
				world << "newMultiLine must be \"true\" or \"false\""
				return
			multi_line = ipt
			if(AutoUpdate) winset(user, GPCN(), "multi-line=[ipt]")
		setCurrentTab(var/newTab)
			current_tab = newTab
			if(AutoUpdate) winset(user, GPCN(), "current-tab=[newTab]")
		setOnTab(var/newOnTab="")
			on_tab = newOnTab
			if(AutoUpdate) winset(user, GPCN(), "on-tab=\"[newOnTab]\"")
		addTab(var/TabName)
			tabs += list(TabName)
		delTab(var/TabName)
			tabs -= list(TabName)
		addTabs(var/list/Tabs)
			tabs += Tabs
		delTabs(var/list/Tabs)
			tabs -= Tabs
		clearTabs()
			tabs = list()